EmbeddableTypeImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.metamodel
Class EmbeddableTypeImpl<X>

    java.lang.Object
      org.hibernate.ejb.metamodel.AbstractType<X>
          org.hibernate.ejb.metamodel.AbstractManagedType<X>
              org.hibernate.ejb.metamodel.EmbeddableTypeImpl<X>

All Implemented Interfaces:
  Serializable, EmbeddableType<X>, ManagedType<X>, Type<X>

    public class EmbeddableTypeImpl<X>

extends AbstractManagedType<X>
implements EmbeddableType<X>, Serializable

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.ejb.metamodel.AbstractManagedType
`AbstractManagedType.Builder<X>`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Type
`Type.PersistenceType`

Constructor Summary
`EmbeddableTypeImpl(Class<X> javaType, AbstractManagedType parent, ComponentType hibernateType)`

Method Summary
`ComponentType` | `getHibernateType()`
`AbstractManagedType` | `getParent()`
`Type.PersistenceType` | `getPersistenceType()`

Methods inherited from class org.hibernate.ejb.metamodel.AbstractManagedType
`getAttribute, getAttributes, getBuilder, getCollection, getCollection, getDeclaredAttribute, getDeclaredAttributes, getDeclaredCollection, getDeclaredCollection, getDeclaredList, getDeclaredList, getDeclaredMap, getDeclaredMap, getDeclaredPluralAttributes, getDeclaredSet, getDeclaredSet, getDeclaredSingularAttribute, getDeclaredSingularAttribute, getDeclaredSingularAttributes, getList, getList, getMap, getMap, getPluralAttributes, getSet, getSet, getSingularAttribute, getSingularAttribute, getSingularAttributes, getSupertype, isPrimitiveVariant, lock`

Methods inherited from class org.hibernate.ejb.metamodel.AbstractType
`getJavaType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.metamodel.ManagedType
`getAttribute, getAttributes, getCollection, getCollection, getDeclaredAttribute, getDeclaredAttributes, getDeclaredCollection, getDeclaredCollection, getDeclaredList, getDeclaredList, getDeclaredMap, getDeclaredMap, getDeclaredPluralAttributes, getDeclaredSet, getDeclaredSet, getDeclaredSingularAttribute, getDeclaredSingularAttribute, getDeclaredSingularAttributes, getList, getList, getMap, getMap, getPluralAttributes, getSet, getSet, getSingularAttribute, getSingularAttribute, getSingularAttributes`

Methods inherited from interface javax.persistence.metamodel.Type
`getJavaType`

Constructor Detail

### EmbeddableTypeImpl

    public EmbeddableTypeImpl(Class<X> javaType,
                              AbstractManagedType parent,
                              ComponentType hibernateType)

Method Detail

### getPersistenceType

    public Type.PersistenceType getPersistenceType()

  Specified by:
    `getPersistenceType` in interface `Type<X>`

### getParent

    public AbstractManagedType getParent()

### getHibernateType

    public ComponentType getHibernateType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.